<?php

namespace Quivers\Models\Settings;

use Doctrine\ORM\Mapping as ORM;
use Shopware\Components\Model\ModelEntity;

/**
 * @ORM\Entity()
 * @ORM\Table(name="quivers_stripe_settings")
 */
class StripeSettings extends ModelEntity
{
    
    /**
     * Primary Key - autoincrement value
     *
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    public $id;

    /**
     * @var string
     * @ORM\Column(name="public_key", type="string")
     */
    public $publicKey;

    /**
     * @var string
     * @ORM\Column(name="secret_key", type="string")
     */
    public $secretKey;

     /**
     * @var float|null
     *
     * @ORM\Column(name="min_order_total", type="float")
     */
    public $minOrderTotal;


     /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
    */
    public function getPublicKey()
    {
        return $this->publicKey;
    }


     /**
     * @param string $public_key
     */
    public function setPublicKey($public_key)
    {
        $this->publicKey = $public_key;
    }

    /**
     * @return string
     */
    public function getSecretKey()
    {
        return $this->secretKey;
    }

    
     /**
     * @param string $secret_key
     */
     public function setSecretKey($secretKey)
    {
        $this->secretKey = $secretKey;
    }

    /**
     * @return float
     */
    public function getMinOrderTotal()
    {
        return $this->minOrderTotal;
    }

     
     /**
     * @param float $minOrderTotal
     */
    public function setMinOrderTotal($minOrderTotal)
    {
        $this->minOrderTotal = $minOrderTotal;
    }

     /**
     * @return array
     */
    public function toArray()
    {
        return get_object_vars($this);
    }
}
